"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable no-unused-vars */
var class_validator_1 = require("class-validator");
var basicNR_type_1 = require("../basicNR.type");
var ActionType;
(function (ActionType) {
    ActionType["ALL"] = "ALL";
    ActionType["EDIT_PERMISSIONS"] = "EDIT_PERMISSIONS";
    ActionType["EDIT_USER_ACCESS"] = "EDIT_USER_ACCESS";
    ActionType["EDIT_PUBLICATIONS"] = "EDIT_PUBLICATIONS";
    ActionType["EDIT_NOTIFICATIONS"] = "EDIT_NOTIFICATIONS";
    ActionType["VIEW_DATA_FARMERS"] = "VIEW_DATA_FARMERS";
    ActionType["VIEW_DASHBOARD"] = "VIEW_DASHBOARD";
    // ...
})(ActionType = exports.ActionType || (exports.ActionType = {}));
var Permission = /** @class */ (function (_super) {
    __extends(Permission, _super);
    function Permission() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsString(),
        class_validator_1.IsDefined(),
        __metadata("design:type", String)
    ], Permission.prototype, "name", void 0);
    __decorate([
        class_validator_1.IsDefined(),
        __metadata("design:type", Array)
    ], Permission.prototype, "actions", void 0);
    return Permission;
}(basicNR_type_1.BasicNREntity));
exports.Permission = Permission;
//# sourceMappingURL=permission.type.js.map