import { BasicNREntity } from '../basicNR.type';
export declare class Profile {
    photoLink?: string;
    phones?: string[];
    emails?: string[];
    photoBase64Content?: string;
}
export declare class Config {
    timelineContent: boolean;
    aboutPlatform: boolean;
    documents: boolean;
}
export declare class UserLat extends BasicNREntity {
    identification: string;
    tutorial?: boolean;
    voucher: string;
    password?: string;
    profile?: Profile;
    config?: Config;
    permissionIds?: string[];
}
