import { BasicNREntity } from '../basicNR.type';
export declare enum NotificationType {
    COLLECT = "COLLECT",
    MAGAZINES = "MAGAZINES",
    QUALITY = "QUALITY",
    TEMPERATURE = "TEMPERATURE",
    OTHER = "OTHER"
}
export declare class ValueConditional {
    signal: string;
    value: number;
    inclusive: boolean;
    partialResult?: boolean;
    finalResult?: boolean;
}
export declare class NotificationRegister extends BasicNREntity {
    type: NotificationType;
    title: string;
    description: string;
    alert?: boolean;
    push?: boolean;
    conditionals?: ValueConditional[];
    frequency?: string[];
}
