"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_validator_1 = require("class-validator");
var basicNR_type_1 = require("../basicNR.type");
/* eslint-disable no-unused-vars */
var NotificationType;
(function (NotificationType) {
    NotificationType["COLLECT"] = "COLLECT";
    NotificationType["MAGAZINES"] = "MAGAZINES";
    NotificationType["QUALITY"] = "QUALITY";
    NotificationType["TEMPERATURE"] = "TEMPERATURE";
    NotificationType["OTHER"] = "OTHER";
})(NotificationType = exports.NotificationType || (exports.NotificationType = {}));
var ValueConditional = /** @class */ (function () {
    function ValueConditional() {
    }
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], ValueConditional.prototype, "signal", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsNumber(),
        __metadata("design:type", Number)
    ], ValueConditional.prototype, "value", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsBoolean(),
        __metadata("design:type", Boolean)
    ], ValueConditional.prototype, "inclusive", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsBoolean(),
        __metadata("design:type", Boolean)
    ], ValueConditional.prototype, "partialResult", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsBoolean(),
        __metadata("design:type", Boolean)
    ], ValueConditional.prototype, "finalResult", void 0);
    return ValueConditional;
}());
exports.ValueConditional = ValueConditional;
var NotificationRegister = /** @class */ (function (_super) {
    __extends(NotificationRegister, _super);
    function NotificationRegister() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsNotEmpty(),
        __metadata("design:type", String)
    ], NotificationRegister.prototype, "type", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], NotificationRegister.prototype, "title", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], NotificationRegister.prototype, "description", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsBoolean(),
        __metadata("design:type", Boolean)
    ], NotificationRegister.prototype, "alert", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsBoolean(),
        __metadata("design:type", Boolean)
    ], NotificationRegister.prototype, "push", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsArray(),
        __metadata("design:type", Array)
    ], NotificationRegister.prototype, "conditionals", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsArray(),
        __metadata("design:type", Array)
    ], NotificationRegister.prototype, "frequency", void 0);
    return NotificationRegister;
}(basicNR_type_1.BasicNREntity));
exports.NotificationRegister = NotificationRegister;
//# sourceMappingURL=notification_reg.type.js.map