import { BasicREntity } from '../../basicR.type';
import { Farm } from '../../visit/farm.type';
export declare enum InventoryImprovementType {
    TYPE_ONE = 0,
    TYPE_TWO = 1,
    TYPE_THREE = 2,
    TYPE_FOUR = 3,
    TYPE_FIVE = 4,
    TYPE_SIX = 5,
    PICKET_FENCE = 6,
    INTERNAL_FENCE = 7,
    PERIMETER_FENCE = 8
}
export declare class InventoryImprovement extends BasicREntity {
    constructionDate: Date;
    lifeSpan: Date;
    value: Number;
    name: string;
    type: InventoryImprovementType;
    size: Number;
    farm: Farm;
}
