"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_validator_1 = require("class-validator");
var typeorm_1 = require("typeorm");
var basicR_type_1 = require("../../basicR.type");
var farm_type_1 = require("../../visit/farm.type");
var InventoryMachineryType;
(function (InventoryMachineryType) {
    InventoryMachineryType[InventoryMachineryType["SMALL"] = 0] = "SMALL";
    InventoryMachineryType[InventoryMachineryType["MEDIUM"] = 1] = "MEDIUM";
    InventoryMachineryType[InventoryMachineryType["BIG"] = 2] = "BIG";
})(InventoryMachineryType = exports.InventoryMachineryType || (exports.InventoryMachineryType = {}));
var InventoryMachinery = /** @class */ (function (_super) {
    __extends(InventoryMachinery, _super);
    function InventoryMachinery() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsDate(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Date)
    ], InventoryMachinery.prototype, "acquisitionDate", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", String)
    ], InventoryMachinery.prototype, "name", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsNumber(),
        typeorm_1.Column({ type: 'int' }),
        __metadata("design:type", Number)
    ], InventoryMachinery.prototype, "type", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsNumber(),
        typeorm_1.Column(),
        __metadata("design:type", Number)
    ], InventoryMachinery.prototype, "value", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsDate(),
        typeorm_1.Column(),
        __metadata("design:type", Date)
    ], InventoryMachinery.prototype, "lifeSpan", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return farm_type_1.Farm; }),
        __metadata("design:type", farm_type_1.Farm)
    ], InventoryMachinery.prototype, "farm", void 0);
    InventoryMachinery = __decorate([
        typeorm_1.Entity()
    ], InventoryMachinery);
    return InventoryMachinery;
}(basicR_type_1.BasicREntity));
exports.InventoryMachinery = InventoryMachinery;
//# sourceMappingURL=inventoryMachinery.type.js.map