import { BasicREntity } from '../basicR.type';
import { Loan } from './revenue/loan.type';
export declare enum RevenueCategory {
    OTHER = 0,
    MILK = 1,
    ANIMAL = 2,
    MACHINERY = 3,
    MANURE = 4,
    PASTURE = 5,
    LOAN = 6
}
export declare class Revenue extends BasicREntity {
    date: Date;
    sell: boolean;
    rent: boolean;
    category: RevenueCategory;
    loans: Loan[];
}
