"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_validator_1 = require("class-validator");
var basicNR_type_1 = require("../basicNR.type");
var Invoice = /** @class */ (function (_super) {
    __extends(Invoice, _super);
    function Invoice() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsDate(),
        class_validator_1.IsDefined(),
        __metadata("design:type", Date)
    ], Invoice.prototype, "date", void 0);
    __decorate([
        class_validator_1.IsString(),
        class_validator_1.IsDefined(),
        __metadata("design:type", String)
    ], Invoice.prototype, "property", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "additional_market", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "animal_health_rate", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "base_icms", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "bonus_logistic", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "bonus_loyalty", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "bonus_protein", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "bonus_scale", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "complement_price", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "incentive_production", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "inss", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "milk_cru", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "rat", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "senar", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "total_credits", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "total_debts", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "value", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "value_deposit", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "value_icms", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "value_total_bill", void 0);
    __decorate([
        class_validator_1.IsString(),
        __metadata("design:type", String)
    ], Invoice.prototype, "value_total_product", void 0);
    return Invoice;
}(basicNR_type_1.BasicNREntity));
exports.Invoice = Invoice;
//# sourceMappingURL=invoice.type.js.map