import { Address } from '../app/address.type';
import { BasicREntity } from '../basicR.type';
import { MilkInternalSpending } from '../financial/revenue/milkInnerSpending.type';
import { MilkRevenue } from '../financial/revenue/milkRevenue.type';
import { SaleRentRevenue } from '../financial/revenue/saleRentRevenue.type';
import { InventoryItem } from './../financial/inventory/inventoryItem.type';
import { Animal } from './../zootechnical/animal.type';
import { Agreement } from './agreement.type';
import { FarmConsultant } from './farmConsultant.type';
import { FarmFarmer } from './farmFarmer.type';
export declare class Farm extends BasicREntity {
    name: string;
    address: Address;
    agreements?: Agreement[];
    farmConsultants?: FarmConsultant[];
    farmFarmers: FarmFarmer[];
    inventoryItems?: InventoryItem[];
    animals?: Animal[];
    milkRevenues?: MilkRevenue[];
    saleRentRevenue?: SaleRentRevenue[];
    milkInternalSpendings?: MilkInternalSpending[];
}
