import { Address } from '../app/address.type';
import { BasicREntity } from '../basicR.type';
import { FarmConsultant } from './farmConsultant.type';
export declare enum ConsultantEducation {
    VETERINARIAN = 0,
    AGRONOMIST = 1,
    ZOOTECHNIST = 2,
    LIVESTOCK_TECHNICIAN = 3
}
export declare class UserConsultant extends BasicREntity {
    name: string;
    emails: string;
    linkPhoto?: string;
    phones: string;
    identification: String;
    address?: Address;
    consultantEducation: ConsultantEducation;
    supervisor?: UserConsultant;
    farmConsultants?: FarmConsultant[];
}
