import { BasicREntity } from '../basicR.type';
import { Agreement } from './agreement.type';
import { FarmConsultant } from './farmConsultant.type';
export declare enum VisitStatus {
    SCHEDULED = 1,
    DONE = 2,
    PENDING = 3,
    LATE = 4
}
export declare enum DayTime {
    MORNING = 1,
    EVENING = 2,
    NIGHT = 3
}
export declare class Visit extends BasicREntity {
    farmConsultant: FarmConsultant;
    agreement: Agreement;
    actualDate: Date;
    competence: Date;
    status: VisitStatus;
    dayTime: DayTime;
    isEdited: Boolean;
}
