import { BasicNREntity } from '../basicNR.type';
import { IsDefined, IsString, IsArray } from 'class-validator';

export class UserDevices extends BasicNREntity {
  @IsDefined()
  @IsString()
  userId: string;

  @IsDefined()
  @IsArray()
  deviceARNs: Array<string>;
}
