import { IsString, IsDefined, IsArray } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class Question extends BasicNREntity {
  @IsString()
  @IsDefined()
  content: string;

  @IsString()
  @IsDefined()
  title: string;
}

export class Faq extends BasicNREntity {
  @IsArray()
  @IsDefined()
  questions: Question[];
}
