import { IsOptional, IsArray } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class Segmentation extends BasicNREntity {
  @IsArray()
  @IsOptional()
  level1?: string[];

  @IsArray()
  @IsOptional()
  level2?: string[];

  @IsArray()
  @IsOptional()
  level3?: string[];
}
