import { IsNotEmpty, IsString } from 'class-validator';
import { Column, Entity, ManyToOne } from 'typeorm';
import { BasicREntity } from '../../basicR.type';
import { OtherExpenseCategory } from './otherExpenseCategory.type';

@Entity()
export class OtherExpenseSubCategory extends BasicREntity {
  
  @IsNotEmpty()
  @IsString()
  @Column({ nullable: false })
  name: String;

  @IsNotEmpty()
  @ManyToOne(type=>OtherExpenseCategory)
  otherExpenseCategory:OtherExpenseCategory

}