import { IsString, IsDefined } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class PropertyUser extends BasicNREntity {
  @IsString()
  @IsDefined()
  propertyCode: string;

  @IsString()
  @IsDefined()
  user: string;
}
