import { IsString, IsDefined } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class UserImporter extends BasicNREntity {
  @IsString()
  @IsDefined()
  name: string;

  @IsString()
  @IsDefined()
  identification: string;
}
