"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var typeorm_1 = require("typeorm");
var basicR_type_1 = require("../basicR.type");
var class_validator_1 = require("class-validator");
var user_type_1 = require("./user.type");
var ActionTypeCons;
(function (ActionTypeCons) {
    // ALL
    ActionTypeCons["ALL"] = "ALL";
    // DAIRIES
    ActionTypeCons["EDIT_DAIRIES"] = "EDIT_DAIRIES";
    ActionTypeCons["EXCLUDE_DAIRIES"] = "EXCLUDE_DAIRIES";
    ActionTypeCons["EDIT_CONTRACTS"] = "EDIT_CONTRACTS";
    // CONSULTANT
    ActionTypeCons["EDIT_CONSULTANTS"] = "EDIT_CONSULTANTS";
    ActionTypeCons["ASSOCIATE_PROPERTIES"] = "ASSOCIATE_PROPERTIES";
    ActionTypeCons["EXCLUDE_CONSULTANTS"] = "EXCLUDE_CONSULTANTS";
    // VISITS
    ActionTypeCons["EDIT_VISITS"] = "EDIT_VISITS";
    ActionTypeCons["EDIT_EXTRA_VISITS"] = "EDIT_EXTRA_VISITS";
    ActionTypeCons["EXCLUDE_VISITS"] = "EXCLUDE_VISITS";
    // PROPERTIES / FARMERS
    ActionTypeCons["EDIT_FARMERS"] = "EDIT_FARMERS";
    ActionTypeCons["EDIT_PROPERTIES"] = "EDIT_PROPERTIES";
    ActionTypeCons["EDIT_AGREEMENTS"] = "EDIT_AGREEMENTS";
    ActionTypeCons["EXCLUDE_PROPERTIES"] = "EXCLUDE_PROPERTIES";
    // ADMIN
    ActionTypeCons["EDIT_ADMS"] = "EDIT_ADMS";
    ActionTypeCons["EXCLUDE_ADMS"] = "EXCLUDE_ADMS";
    ActionTypeCons["EDIT_PERMISSIONS"] = "EDIT_PERMISSIONS";
    ActionTypeCons["EXCLUDE_PERMISSIONS"] = "EXCLUDE_PERMISSIONS";
    // OTHERS
    ActionTypeCons["VIEW_NOTIFICATIONS"] = "VIEW_NOTIFICATIONS";
    ActionTypeCons["VIEW_MAPS"] = "VIEW_MAPS";
    ActionTypeCons["VIEW_DASHBOARDS"] = "VIEW_DASHBOARDS";
    ActionTypeCons["VIEW_INDICATORS"] = "VIEW_INDICATORS";
    // ...
})(ActionTypeCons = exports.ActionTypeCons || (exports.ActionTypeCons = {}));
var PermissionCons = /** @class */ (function (_super) {
    __extends(PermissionCons, _super);
    function PermissionCons() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", String)
    ], PermissionCons.prototype, "name", void 0);
    __decorate([
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: false, default: ActionTypeCons.ALL + "," + ActionTypeCons.EDIT_DAIRIES }),
        __metadata("design:type", String)
    ], PermissionCons.prototype, "actions", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        typeorm_1.ManyToMany(function (type) { return user_type_1.User; }, function (user) { return user.permissions; }, { nullable: true }),
        __metadata("design:type", Array)
    ], PermissionCons.prototype, "users", void 0);
    PermissionCons = __decorate([
        typeorm_1.Entity()
    ], PermissionCons);
    return PermissionCons;
}(basicR_type_1.BasicREntity));
exports.PermissionCons = PermissionCons;
//# sourceMappingURL=permission.type.js.map