import { BasicREntity } from '../../basicR.type';
import { Farm } from '../../visit/farm.type';
export declare enum RoutineExpenseCategory {
    RENT = 0,
    SOCIAL_EXPENSES = 1,
    ELECTRICITY = 2,
    EMPLOYEE = 3,
    PHONE = 4,
    INTERNET = 5
}
export declare enum RoutineExpenseKinship {
    OWNER = 0,
    FATHER = 1,
    MOTHER = 2,
    SON = 3,
    DAUGHTER = 4,
    UNCLE = 5,
    NEPHEW = 6
}
export declare enum RoutineExpenseRole {
    TECHNICIAN = 0,
    MANAGER = 1,
    HANDLER = 2
}
export declare class RoutineExpense extends BasicREntity {
    farm: Farm;
    value: Number;
    description: String;
    kinship: RoutineExpenseKinship;
    role: RoutineExpenseRole;
    category: RoutineExpenseCategory;
    percentDedication: Number;
}
