import { BasicREntity } from '../../basicR.type';
import { Farm } from '../../visit/farm.type';
export declare enum InventoryAreaPastureType {
    GRASS = 0,
    SUGAR_CANE = 1,
    INTENSIVE_PASTURE = 2,
    SEMI_INTENSIVE_PASTURE = 3,
    EXTENSIVE_PASTURE = 4,
    OTHER = 5
}
export declare class InventoryArea extends BasicREntity {
    date: Date;
    name: string;
    size: Number;
    lifeSpan: Date;
    cost: Number;
    type: InventoryAreaPastureType;
    farm: Farm;
}
