"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_validator_1 = require("class-validator");
var typeorm_1 = require("typeorm");
var farm_type_1 = require("../../visit/farm.type");
var basicR_type_1 = require("../../basicR.type");
var inventoryMachinery_type_1 = require("../inventory/inventoryMachinery.type");
var animal_type_1 = require("../../zootechnical/animal.type");
var SaleRentRevenueOtherCategory;
(function (SaleRentRevenueOtherCategory) {
    SaleRentRevenueOtherCategory[SaleRentRevenueOtherCategory["OTHER"] = 1] = "OTHER";
    SaleRentRevenueOtherCategory[SaleRentRevenueOtherCategory["MANURE"] = 2] = "MANURE";
    SaleRentRevenueOtherCategory[SaleRentRevenueOtherCategory["PASTURE"] = 3] = "PASTURE";
})(SaleRentRevenueOtherCategory = exports.SaleRentRevenueOtherCategory || (exports.SaleRentRevenueOtherCategory = {}));
var SaleRentRevenue = /** @class */ (function (_super) {
    __extends(SaleRentRevenue, _super);
    function SaleRentRevenue() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsDate(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Date)
    ], SaleRentRevenue.prototype, "date", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return farm_type_1.Farm; }, function (farm) { return farm.saleRentRevenue; }, { nullable: false }),
        __metadata("design:type", farm_type_1.Farm)
    ], SaleRentRevenue.prototype, "farm", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsBoolean(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Boolean)
    ], SaleRentRevenue.prototype, "sale", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsNumber(),
        __metadata("design:type", Number)
    ], SaleRentRevenue.prototype, "value", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        typeorm_1.ManyToOne(function (type) { return inventoryMachinery_type_1.InventoryMachinery; }),
        __metadata("design:type", inventoryMachinery_type_1.InventoryMachinery)
    ], SaleRentRevenue.prototype, "machinery", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        typeorm_1.ManyToOne(function (type) { return animal_type_1.Animal; }),
        __metadata("design:type", animal_type_1.Animal)
    ], SaleRentRevenue.prototype, "animal", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsNumber(),
        __metadata("design:type", Number)
    ], SaleRentRevenue.prototype, "otherCategory", void 0);
    SaleRentRevenue = __decorate([
        typeorm_1.Entity()
    ], SaleRentRevenue);
    return SaleRentRevenue;
}(basicR_type_1.BasicREntity));
exports.SaleRentRevenue = SaleRentRevenue;
//# sourceMappingURL=saleRentRevenue.type.js.map