import { BasicREntity } from '../basicR.type';
import { DairyCompany } from './dairyCompany.type';
import { Agreement } from './agreement.type';
export declare enum TypeContract {
    TYPE_1 = 1,
    TYPE_2 = 2
}
export declare class Contract extends BasicREntity {
    name: string;
    dairyCompany: DairyCompany;
    endDate?: Date;
    initialDate: Date;
    cancelReason?: string;
    type: TypeContract;
    acquiredMonthlyVisits: number;
    agreements?: Agreement[];
}
