"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var farm_type_1 = require("./farm.type");
var typeorm_1 = require("typeorm");
var basicR_type_1 = require("../basicR.type");
var class_validator_1 = require("class-validator");
var userFarmer_type_1 = require("./userFarmer.type");
// export enum FarmRole {
//     OWNER = 1,
//     WORKER = 2
// }
var FarmFarmer = /** @class */ (function (_super) {
    __extends(FarmFarmer, _super);
    function FarmFarmer() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return farm_type_1.Farm; }, function (farm) { return farm.farmFarmers; }, { nullable: false }),
        __metadata("design:type", farm_type_1.Farm)
    ], FarmFarmer.prototype, "farm", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return userFarmer_type_1.UserFarmer; }, function (userFarmer) { return userFarmer.farmFarmers; }, { nullable: false }),
        __metadata("design:type", userFarmer_type_1.UserFarmer)
    ], FarmFarmer.prototype, "userFarmer", void 0);
    FarmFarmer = __decorate([
        typeorm_1.Entity()
    ], FarmFarmer);
    return FarmFarmer;
}(basicR_type_1.BasicREntity));
exports.FarmFarmer = FarmFarmer;
//# sourceMappingURL=farmFarmer.type.js.map