import { IsDefined, IsString, IsOptional } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class Category extends BasicNREntity {
  @IsDefined()
  @IsString()
  name: string;

  @IsOptional()
  @IsString()
  color: string;
}
