import { IsDefined, IsString, IsBoolean } from 'class-validator';
import { BasicNREntity } from '../basicNR.type';

export class NotificationUser extends BasicNREntity {
  @IsDefined()
  @IsString()
  notificationId: string;

  @IsDefined()
  @IsString()
  userId: string;

  @IsDefined()
  @IsBoolean()
  read: boolean = true;
}
