import { Entity, Column, JoinColumn, PrimaryGeneratedColumn, OneToOne, OneToMany, ManyToOne } from 'typeorm';
import { BasicREntity } from '../../basicR.type';
import { IsNumber, IsDate, IsNotEmpty } from 'class-validator';
import { Farm } from '../../visit/farm.type'
import { RoutineExpense } from '../../..';

@Entity()
export class OtherExpenseCategory extends BasicREntity {
  
  @IsNotEmpty()
  @IsDate()
  @Column({ nullable: false })
  name: String;

}